jaromail

a commandline tool to easily and privately handle your e-mail
git clone git://parazyd.org/jaromail.git
Log | Files | Refs | Submodules | README

commit 1b55f9b73d3032b4948cb34644d01fbc15740e65
parent 63105351db64e4a5a3be87828f6792476f04b4a8
Author: Jaromil <jaromil@dyne.org>
Date:   Thu,  7 Jun 2012 07:28:58 +0200

check if built before installing

Diffstat:
Minstall.sh | 23+++++++++++++----------
1 file changed, 13 insertions(+), 10 deletions(-)

diff --git a/install.sh b/install.sh @@ -1,4 +1,4 @@ -#!/usr/bin/env zsh +#!/usr/bin/env zsh # Jaro Mail install script # @@ -18,12 +18,13 @@ # this source code; if not, write to: # Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. -if ! [ -r src/jaro ]; then - echo "Error: this script should be run from inside a jaromail software distribution" - exit 1 -fi +{ test -r src/jaro } || { + echo "Error: this script should be run from inside a Jaro Mail source distribution" + exit 1 } + + -if [ $1 ]; then +if [ $1 ]; then MAILDIRS=$1; else MAILDIRS=$HOME/Mail @@ -33,11 +34,13 @@ WORKDIR=$MAILDIRS/jaro PROCMAILDIR=$WORKDIR/.procmail MUTTDIR=$WORKDIR/.mutt -umask 007 # James Bond ;^) - - source src/jaro source +{ test -r src/fetchaddr } || { + error "Jaro Mail was not built yet. Look into the build/ directory before installing." + exit 1 +} + # make sure the directory is private ${=mkdir} $MAILDIRS ${=mkdir} $WORKDIR @@ -77,7 +80,7 @@ if ! [ -r $WORKDIR/Filters.txt ]; then # Other filters for web 2.0 using folder names with a prefix: # they can facilitate folder maintainance. -# from identi.ca save web.identica +# from identi.ca save web.identica # from Twitter save web.twitter # from linkedin save web.linkedin # from googlealerts save web.google